Skip to navigation

Members Get Info v2

View as Markdown

Returns information about multiple team members.

Permission : Team information

This endpoint will return MembersGetInfoItem.id_not_found, for IDs (or emails) that cannot be matched to a valid team member.

Required scope: members.read

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects an object.
memberslist of objectsRequired
List of team members.
Variant:
team.UserSelectorArg.team_member_idobjectRequired

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
members_infolist of objects
List of team members info.
Variant:
team.MembersGetInfoItemV2.id_not_foundobject

An ID that was provided as a parameter to members/get_info or members/get_info:2, and did not match a corresponding user. This might be a team_member_id, an email, or an external ID, depending on how the method was called.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error